<?php
namespace App\Worldspan\StructureParser\Structures\EMD;

class Supplier extends \App\Worldspan\StructureParser\Structures\Base\Supplier
{
	protected function _getData()
	{
		list($parsedStructure, , $transactionIndexes, ) = $this->getTransactionDetails();

		$DE = $parsedStructure['EMD'][$transactionIndexes['EIdx']]['-E'];

		$item = new \App\Worldspan\StructureParser\Types\Supplier();
		$item->code3 = $DE['ValidatingCarrierNumber'];
		$item->codeAirline = $DE['ValidatingCarrierCode'];

		return $item;
	}
}
